Cost+ Docs
Orders

List orders by date range

Retrieve a collection of orders created within the specified period.

GET
/orders

Authorization

basicAuth
AuthorizationBasic <token>

Use your API key as the username and leave the password empty. Encode as Base64: {api_key}: (note the trailing colon).

In: header

Query Parameters

created_since*string

Start of the period (ISO 8601)

Formatdate-time
created_until*string

End of the period (ISO 8601)

Formatdate-time

Response Body

application/json

application/json

application/json

curl -X GET "https://api.costplus.online/v1/orders?created_since=2019-08-24T14%3A15%3A22Z&created_until=2019-08-24T14%3A15%3A22Z"
[
  {
    "id": "string",
    "project_id": "string",
    "merchant_id": "string",
    "order_url": "string",
    "refund_of_order_id": "string",
    "refund_orders": [
      "string"
    ],
    "refunded_amount": 0,
    "chargeback_of_order_id": "string",
    "chargeback_orders": [
      "string"
    ],
    "reversal_of_order_id": "string",
    "reversal_orders": [
      "string"
    ],
    "related_order_id": "string",
    "related_orders": [
      "string"
    ],
    "related_payment_link_id": "string",
    "merchant_order_id": "string",
    "merchant_bulk_id": "string",
    "merchant_name": "string",
    "merchant_iban": "string",
    "merchant_bic": "string",
    "created": "2019-08-24T14:15:22Z",
    "modified": "2019-08-24T14:15:22Z",
    "completed": "2019-08-24T14:15:22Z",
    "expiration_period": "string",
    "capture_mode": "manual",
    "currency": "AED",
    "amount": 1,
    "description": "string",
    "status": "new",
    "flags": [
      "is-test"
    ],
    "payment_methods": [
      "string"
    ],
    "transactions": [
      {
        "id": "string",
        "project_id": "string",
        "merchant_id": "string",
        "created": "2019-08-24T14:15:22Z",
        "modified": "2019-08-24T14:15:22Z",
        "completed": "2019-08-24T14:15:22Z",
        "expiration_period": "string",
        "currency": "string",
        "amount": 1,
        "balance": "internal",
        "description": "string",
        "product_type": "string",
        "credit_debit": "credit",
        "outcomes": {
          "fraud_prevention": {
            "status": "accepted",
            "score": 0,
            "reason": "string",
            "error_description": "string"
          },
          "processing": {
            "status": "accepted",
            "response_code": "string",
            "response_code_description": "string",
            "merchant_advice_code": "string",
            "error_description": "string"
          }
        },
        "payment_method": "apple-pay",
        "payment_method_brand": "string",
        "payment_method_details": {
          "datetime_local": "2019-08-24T14:15:22Z",
          "attempt_3dsecure": true,
          "require_3dsecure": true,
          "setup_token": "string",
          "vault_token": "string",
          "cvc": "string",
          "one_click_type": "first",
          "recurring_type": "first",
          "schedule_type": "scheduled",
          "truncated_pan": "string",
          "card_expiry": "string",
          "cardholder_name": "string",
          "response_code": "string",
          "first_authorised_transaction_id": "string"
        },
        "payment_url": "http://example.com",
        "status": "new",
        "is_capturable": true,
        "reason": "string",
        "customer_message": "string",
        "msc_currency": "EUR",
        "msc_amount": 0,
        "msc_calculation_type": "blended",
        "icf_currency": "EUR",
        "icf_amount": 0,
        "icp_currency": "EUR",
        "icp_amount": 0,
        "payout_batch_id": "string"
      }
    ],
    "return_url": "http://example.com",
    "webhook_url": "http://example.com",
    "order_lines": [
      {
        "id": "string",
        "type": "physical",
        "ean": "string",
        "merchant_order_line_id": "string",
        "name": "string",
        "url": "http://example.com",
        "image_url": "http://example.com",
        "currency": "EUR",
        "amount": 0,
        "quantity": 0,
        "discount_rate": 10000,
        "vat_percentage": 10000
      }
    ],
    "customer": {
      "user_agent": "string",
      "merchant_customer_id": "string",
      "email_address": "user@example.com",
      "first_name": "string",
      "last_name": "string",
      "address_type": "customer",
      "address": "string",
      "postal_code": "string",
      "housenumber": "string",
      "country": "string",
      "locale": "string",
      "phone_numbers": [
        "string"
      ],
      "ip_address": "192.168.0.1",
      "gender": "male",
      "birthdate": "2019-08-24T14:15:22Z",
      "additional_addresses": [
        {}
      ]
    },
    "client": {
      "user_agent": "string",
      "platform_name": "string",
      "platform_version": "string",
      "plugin_name": "string",
      "plugin_version": "string"
    },
    "extra": {}
  }
]
{
  "error": {
    "status": 400,
    "type": "string",
    "value": "string",
    "property_path": "string",
    "property_description": "string"
  }
}
{
  "error": {
    "status": 400,
    "type": "string",
    "value": "string",
    "property_path": "string",
    "property_description": "string"
  }
}